La app GarageBand de Apple esconde una vulnerabilidad crítica

Escrito por Rubén Velasco

GarageBand es una aplicación desarrollada y mantenida por Apple que permite a cualquier usuario de su propio sistema operativo, macOS, crear todo tipo de composiciones musicales de forma rápida y muy sencilla. Esta aplicación es muy completa y original, especialmente teniendo en cuenta que los ordenadores Mac siempre han sido asociados a la creación y el diseño, por lo que esta aplicación tiene un gran éxito entre todos los usuarios del sistema operativo de esta compañía, tanto profesionales como aficionados.

Como ya hemos dicho muchas veces, no existe el software perfecto y, debido a la complejidad tanto de los sistemas operativos como de las aplicaciones como tal, es muy fácil que un simple error de programación pueda poner en peligro a los usuarios, y esto es lo que ha ocurrido a GarageBand. La empresa de seguridad Talos, propiedad de Cisco, ha descubierto una vulnerabilidad que puede poner en peligro a los usuarios de este software de creación musical.

Esta vulnerabilidad ha sido registrada como CVE-2017-2374 y, tal como confirma la compañía, un pirata informático podría utilizar un fichero de proyecto de GarageBand modificado y controlado por él para exponer el sistema operativo, corromper una parte de la memoria del mismo y lograr ejecutar en él código malicioso de forma remota con permisos de root. La forma de cargar ese proyecto en el programa sería, por ejemplo, mediante técnicas de ingeniería social.

Además de CVE-2017-2374, Apple también solucionó recientemente una vulnerabilidad similar, CVE-2017-2372, en esta misma aplicación. Según los expertos de seguridad, combinando ambos fallos de seguridad los piratas informáticos podrían llegar a tener el control completo del sistema.

GarageBand

Debido a que GarageBand es una de las aplicaciones que vienen instaladas por defecto en todos los macOS, todos los usuarios, independientemente de si utilizan o no esta herramienta de creación de música deben asegurarse de tener instalada la versión 10.1.6, o posterior, que es la que soluciona este problema de seguridad. Las versiones de macOS afectadas son desde Yosemite 10.10 en adelante.

Por el momento, ni Apple ni Talos han confirmado que esta vulnerabilidad haya sido explotada por piratas informáticos, aunque ahora que se ha dado a conocer es recomendable instalar los parches lo antes posible para evitar problemas.

Además de Garageband, también se ha actualizado Flash Player en los sistemas macOS

Además del parche ya mencionado sobre GarageBand, hace algunas horas Adobe también ha publicado una actualización crítica para su complemento web Adobe Flash Player para macOS que soluciona un total de 13 vulnerabilidades, varias de ellas críticas, que pueden poner en peligro a los usuarios al conectarse a Internet.

Aunque siempre recomendamos desinstalar este complemento innecesario para evitar correr riesgos innecesarios, en caso de tenerlo instalado debemos asegurarnos de utilizar siempre la última versión disponible ya que, además, recordamos que Flash es el complemento más vulnerable y atacado de hoy en día.

¿Sueles asegurarte de tener siempre instalada la última versión de tus aplicaciones y los últimos parches de seguridad de tus sistemas operativos?

Fuente > Apple

Últimos análisis

Valoración RZ
7
Valoración RZ
9
Valoración RZ
8
Valoración RZ
8
Valoración RZ
8
Valoración RZ
8
Valoración RZ
10